.. _asizeof_module:

===============
pympler.asizeof
===============

Introduction
------------

.. automodule:: pympler.asizeof

Asizer
------

.. autoclass:: Asized

.. autoclass:: Asizer

   .. automethod:: asized
   .. automethod:: asizeof
   .. automethod:: asizesof
   .. automethod:: exclude_refs
   .. automethod:: exclude_types
   .. automethod:: print_profiles
   .. automethod:: print_stats
   .. automethod:: print_summary
   .. automethod:: print_typedefs
   .. automethod:: set
   .. automethod:: reset

Public Functions
----------------

.. autofunction:: adict
.. autofunction:: asized
.. autofunction:: asizeof
.. autofunction:: asizesof
.. autofunction:: basicsize
.. autofunction:: flatsize
.. autofunction:: itemsize
.. autofunction:: leng
.. autofunction:: refs
